/* 
hpi.c
Michael G. Morrow, 2000
HPI shared memory block for host communications
*/ 

#include "hpi.h"
#include "..\windsk6_def.h"

volatile unsigned int Buffer[BUFFER_LENGTH]; // for codec data

volatile float OutputBuffer[BUFFER_LENGTH]; // for transfer to host

HPI_Memory_Block HPI_Block = 
{
	// these variables are required in all programs
	SecCommComplete, 	// SecCommFlag 
	0, 					// SecCommData 
	TIMER1_CLOCK_SET, 	// TimerFlag
	EXTERNAL_CLOCK, 	// TimerDivider
	-1, 				// CODEC 
	1, 					// SampleFreq 

	// add additional variables below
	1, 					// Gain  
    0, 					// Index
    OutputBuffer,	    // BufferAddress
    0					// ReadyFlag
};
